org.faceless.pdf2.viewer2.util

## Class BoundedDesktopManager

- java.lang.Object
- - javax.swing.DefaultDesktopManager
  - - org.faceless.pdf2.viewer2.util.BoundedDesktopManager

- All Implemented Interfaces:
    Serializable, DesktopManager

      public class BoundedDesktopManager
      extends DefaultDesktopManager

  DesktopManager which ensures JInternalFrames cannot be dragged out of view. Derived from http://stackoverflow.com/questions/8136944/preventing-jinternalframe-from-being-moved-out-of-a-jdesktoppane
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundedDesktopManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginDraggingFrame(JComponent f)`
    `void` | `beginResizingFrame(JComponent f, int direction)`
    `void` | `setBoundsForFrame(JComponent f, int newX, int newY, int newWidth, int newHeight)`

    - ### Methods inherited from class javax.swing.DefaultDesktopManager

      `activateFrame, closeFrame, deactivateFrame, deiconifyFrame, dragFrame, endDraggingFrame, endResizingFrame, getBoundsForIconOf, getPreviousBounds, iconifyFrame, maximizeFrame, minimizeFrame, openFrame, removeIconFor, resizeFrame, setPreviousBounds, setWasIcon, wasIcon`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundedDesktopManager

          public BoundedDesktopManager()

  - ### Method Detail

    - #### beginDraggingFrame

          public void beginDraggingFrame(JComponent f)

      Specified by:
        `beginDraggingFrame` in interface `DesktopManager`
      Overrides:
        `beginDraggingFrame` in class `DefaultDesktopManager`

    - #### beginResizingFrame

          public void beginResizingFrame(JComponent f,
                                         int direction)

      Specified by:
        `beginResizingFrame` in interface `DesktopManager`
      Overrides:
        `beginResizingFrame` in class `DefaultDesktopManager`

    - #### setBoundsForFrame

          public void setBoundsForFrame(JComponent f,
                                        int newX,
                                        int newY,
                                        int newWidth,
                                        int newHeight)

      Specified by:
        `setBoundsForFrame` in interface `DesktopManager`
      Overrides:
        `setBoundsForFrame` in class `DefaultDesktopManager`

Copyright © 2001-2015 Big Faceless Organization